Package org.eclipse.mat.parser.internal.util

## Class ParserRegistry.DynamicParser

- java.lang.Object
- - org.eclipse.mat.parser.internal.util.ParserRegistry.Parser
  - - org.eclipse.mat.parser.internal.util.ParserRegistry.DynamicParser

Enclosing class:
  ParserRegistry

    public class ParserRegistry.DynamicParser
    extends ParserRegistry.Parser

This is not a real parser - but a place holder. When a real parser is required then this is used to find a list of parsers dynamically.

### Constructor Summary

Constructors
`DynamicParser​(IConfigurationElement configElement, SnapshotFormat snapshotFormat, Pattern[] pattern)`

### Method Summary

### Methods inherited from class org.eclipse.mat.parser.internal.util.ParserRegistry.Parser

`create, getId, getSnapshotFormat, getUniqueIdentifier`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicParser

    public DynamicParser​(IConfigurationElement configElement,
                         SnapshotFormat snapshotFormat,
                         Pattern[] pattern)